# scheduling_summary function

(Shortest import: `from brian2 import scheduling_summary)`

brian2.core.network.scheduling_summary(net=None)

  Returns a `SchedulingSummary` object, representing the scheduling information for all objects included in the given `Network` (or the “magic” network, if none is specified). The returned objects can be printed or converted to a string to give an ASCII table representation of the schedule. In a Jupyter notebook, the output can be displayed as a HTML table.

  Parameters:

    net : `Network`, optional

    > The network for which the scheduling information should be displayed. Defaults to the “magic” network.

  Returns:

    summary : `SchedulingSummary`

    > An object that represents the scheduling information.